Swarm runs
List a journey's runs
Newest first. Compact records — attempts is on the single-run read.
GET
/
projects
/
{projectId}
/
journeys
/
{journeyId}
/
runs
List a journey's runs
curl --request GET \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/journeys/{journeyId}/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/journeys/{journeyId}/runs"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/journeys/{journeyId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"projectId": "<string>",
"journeyId": "<string>",
"status": "running",
"canceled": true,
"stale": true,
"summary": {
"total": 123,
"succeeded": 123,
"failed": 123,
"rateLimited": 123
},
"targets": [
{
"hostId": "<string>",
"hostName": "<string>",
"targetId": "<string>",
"modelId": "<string>"
}
],
"createdAt": 123,
"waveId": "<string>",
"error": "<string>",
"persona": {
"personaId": "<string>",
"name": "<string>",
"role": "<string>"
},
"attempts": [
{
"chatSessionId": "<string>",
"hostId": "<string>",
"targetId": "<string>",
"sessionIndex": 123,
"status": "pending",
"errorCode": "<string>",
"errorMessage": "<string>"
}
],
"targetSummaries": [
{
"hostId": "<string>",
"total": 123,
"succeeded": 123,
"failed": 123,
"rateLimited": 123,
"targetId": "<string>"
}
],
"lastHeartbeatAt": 123,
"insights": {
"schemaVersion": 1,
"scope": {
"kind": "eval_run",
"id": "<string>",
"runId": "<string>",
"scenarioId": "<string>",
"windowStartAt": 123,
"windowEndAt": 123
},
"status": "not_available",
"reasonCode": "<string>",
"retryable": true,
"error": {
"code": "<string>",
"message": "<string>"
},
"generatedAt": 123,
"updatedAt": 123,
"summary": "<string>",
"coverage": {
"unit": "iterations",
"analyzed": 123,
"total": 123,
"truncated": true,
"lowConfidence": true,
"gradedCount": 123,
"feedbackCount": 123
},
"findings": [
{
"id": "<string>",
"signalFingerprint": "<string>",
"title": "<string>",
"category": "unknown",
"attribution": "unknown",
"actionTarget": "investigate",
"actionability": "informational",
"severity": "info",
"confidence": "low",
"observed": "<string>",
"recommendation": "<string>",
"acceptanceCriteria": [
"<string>"
],
"affected": {
"count": 123,
"total": 123,
"unit": "iterations"
},
"evidence": [
{
"kind": "tool_error",
"excerpt": "<string>",
"sessionId": "<string>",
"iterationId": "<string>",
"toolName": "<string>",
"errorCode": "<string>"
}
],
"rootCause": "<string>",
"patternSlug": "<string>",
"target": {
"serverId": "<string>",
"surface": "description",
"snapshotHash": "<string>",
"toolName": "<string>",
"fieldPath": "<string>",
"currentDefinition": {
"truncated": true,
"description": "<string>",
"inputSchemaJson": "<string>",
"outputSchemaJson": "<string>"
}
}
}
],
"truncation": {
"truncated": true,
"omittedFindings": 123,
"omittedEvidence": 123,
"contractTruncated": true
},
"currentFindings": [
{
"id": "<string>",
"signalFingerprint": "<string>",
"title": "<string>",
"category": "unknown",
"attribution": "unknown",
"actionTarget": "investigate",
"actionability": "informational",
"severity": "info",
"confidence": "low",
"observed": "<string>",
"recommendation": "<string>",
"acceptanceCriteria": [
"<string>"
],
"affected": {
"count": 123,
"total": 123,
"unit": "iterations"
},
"evidence": [
{
"kind": "tool_error",
"excerpt": "<string>",
"sessionId": "<string>",
"iterationId": "<string>",
"toolName": "<string>",
"errorCode": "<string>"
}
],
"rootCause": "<string>",
"patternSlug": "<string>",
"target": {
"serverId": "<string>",
"surface": "description",
"snapshotHash": "<string>",
"toolName": "<string>",
"fieldPath": "<string>",
"currentDefinition": {
"truncated": true,
"description": "<string>",
"inputSchemaJson": "<string>",
"outputSchemaJson": "<string>"
}
}
}
],
"observationState": "ready",
"observationCoverage": {
"unit": "iterations",
"analyzed": 123,
"total": 123,
"gradedCount": 123,
"exclusions": {}
},
"unifiedFindings": {
"capability": "unified_findings_v1",
"snapshot": {},
"job": {},
"canBuild": true,
"canEnrich": true,
"analysis": {
"phase": "reading",
"progress": {
"done": 123,
"total": 123,
"unit": "iterations"
},
"models": [
"<string>"
],
"completeness": {
"iterationReports": 123,
"total": 123,
"missingTraces": 123
}
}
},
"runHealth": {
"targets": [
{
"subjectKind": "environment",
"subjectId": "<string>",
"subjectLabel": "<string>",
"attempted": 123,
"succeeded": 123,
"failed": 123,
"rateLimited": 123
}
]
},
"journeyFindings": {
"contractVersion": 1,
"generatedAt": 4503599627370495,
"sourceRevision": "<string>",
"pipelineVersion": 4503599627370495,
"extractionVersion": 4503599627370495,
"extractionModel": "<string>",
"reasoningModel": "<string>",
"summaryKind": "notLaunched",
"population": {
"configured": 4503599627370495,
"started": 4503599627370495,
"read": 4503599627370495,
"unread": 4503599627370495,
"withdrawn": 4503599627370495,
"limited": 4503599627370495,
"graded": 4503599627370495
},
"coverageNotes": [
"sessionScanCapped"
],
"disclosure": {
"rail": "gateway",
"evidenceSent": [
"<string>"
]
},
"personas": [
{
"persona": {
"personaRefId": "<string>",
"name": "<string>"
},
"disposition": "notRun",
"tone": "fail",
"goalRunIds": [
"<string>"
]
}
],
"findings": [
{
"id": "<string>",
"basis": "verifiedMechanism",
"scopeLevel": "session",
"persona": {
"personaRefId": "<string>",
"name": "<string>"
},
"goal": {
"runId": "<string>",
"journeyRefId": "<string>",
"title": "<string>"
},
"target": {
"kind": "environment",
"id": "<string>",
"label": "<string>",
"modelId": "<string>"
},
"population": {
"count": 4503599627370495,
"total": 4503599627370495,
"unit": "sessions"
},
"sessionIds": [
"<string>"
],
"citations": [
"<string>"
],
"verdictSeen": "passed",
"chainStage": "connection",
"chainStageState": "passed",
"chainStageBasis": "derived",
"disposition": "notRun",
"tone": "fail",
"coverageNotes": [
"sessionScanCapped"
],
"outcomePhrase": "<string>",
"mechanismPhrase": "<string>",
"fixPhrase": "<string>",
"reportExcerpt": {
"actual": "<string>",
"citations": [
"<string>"
]
},
"mechanismId": "<string>"
}
]
},
"journeyFindingsJob": {
"status": "pending",
"updatedAt": 4503599627370495,
"errorCode": "<string>"
}
},
"verdictSummary": {
"status": "pending",
"pendingSessions": 4503599627370495,
"updatedAt": 4503599627370495
},
"report": {
"contractVersion": 1,
"runId": "<string>",
"verdict": "passed",
"verdictSource": "policyV2",
"execution": {
"unit": "sessions",
"configured": 4503599627370495,
"reported": 4503599627370495,
"started": 4503599627370495,
"notStarted": 4503599627370495,
"unknown": 4503599627370495,
"completed": 4503599627370495,
"interrupted": 4503599627370495,
"neverLaunched": true
},
"goalGrading": {
"unit": "sessions",
"reported": 4503599627370495,
"passed": 4503599627370495,
"failed": 4503599627370495,
"pending": 4503599627370495,
"unavailable": 4503599627370495,
"notRequested": 4503599627370495,
"waitingForDecisiveGrading": 4503599627370495
},
"observations": [
{
"evaluatorId": "<string>",
"predicateType": "toolDescriptionsPresent",
"role": "advisory",
"stage": "connection",
"unit": "sessions",
"total": 4503599627370495,
"passed": 4503599627370495,
"failed": 4503599627370495,
"pending": 4503599627370495,
"unavailable": 4503599627370495
}
],
"decision": {
"verdictPolicyVersion": 2,
"verdict": "passed",
"reasons": [
"configuredTrialsNotAttempted"
],
"validity": {
"policy": {
"coverage": {
"kind": "allConfiguredTrialsAttempted",
"minGradeableTrials": 1
},
"minCompletionRate": 0.5,
"maxEvaluatorErrorRate": 0.5
},
"holds": true,
"configuredTrials": 4503599627370495,
"attemptedTrials": 4503599627370495,
"eligibleTrials": 4503599627370495,
"completionRate": {
"state": "measured",
"value": 0.5,
"numerator": 4503599627370495,
"denominator": 4503599627370496,
"exclusions": {
"notTerminal": 4503599627370495,
"skipped": 4503599627370495,
"setupFailed": 4503599627370495,
"cancelled": 4503599627370495,
"timedOut": 4503599627370495,
"executionFailed": 4503599627370495,
"evaluatorError": 4503599627370495
}
},
"evaluatorErrorRate": {
"state": "measured",
"value": 0.5,
"numerator": 4503599627370495,
"denominator": 4503599627370496,
"exclusions": {
"notTerminal": 4503599627370495,
"skipped": 4503599627370495,
"setupFailed": 4503599627370495,
"cancelled": 4503599627370495,
"timedOut": 4503599627370495,
"executionFailed": 4503599627370495,
"evaluatorError": 4503599627370495
}
}
},
"cases": [
{
"caseId": "<string>",
"configuredTrials": 50,
"attemptedTrials": 4503599627370495,
"eligibleTrials": 4503599627370495,
"passedTrials": 4503599627370495,
"failedTrials": 4503599627370495,
"effectivePassThreshold": 0.5,
"passRate": {
"state": "measured",
"value": 0.5,
"numerator": 4503599627370495,
"denominator": 4503599627370496,
"exclusions": {
"notTerminal": 4503599627370495,
"skipped": 4503599627370495,
"setupFailed": 4503599627370495,
"cancelled": 4503599627370495,
"timedOut": 4503599627370495,
"executionFailed": 4503599627370495,
"evaluatorError": 4503599627370495
}
},
"completionRate": {
"state": "measured",
"value": 0.5,
"numerator": 4503599627370495,
"denominator": 4503599627370496,
"exclusions": {
"notTerminal": 4503599627370495,
"skipped": 4503599627370495,
"setupFailed": 4503599627370495,
"cancelled": 4503599627370495,
"timedOut": 4503599627370495,
"executionFailed": 4503599627370495,
"evaluatorError": 4503599627370495
}
},
"observedStability": {
"state": "measured",
"value": 0.5,
"numerator": 4503599627370495,
"denominator": 4503599627370496,
"exclusions": {
"notTerminal": 4503599627370495,
"skipped": 4503599627370495,
"setupFailed": 4503599627370495,
"cancelled": 4503599627370495,
"timedOut": 4503599627370495,
"executionFailed": 4503599627370495,
"evaluatorError": 4503599627370495
}
},
"mixedVerdict": true,
"verdict": "passed",
"reason": "configuredTrialsNotAttempted",
"executionVariant": {
"model": "<string>",
"provider": "<string>"
}
}
]
},
"undecidedReason": "executionPending"
}
}
],
"nextCursor": "<string>"
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
Journey ID, as returned by the project's journey list.
Body
application/json
Optional pagination cursor.
Opaque pagination cursor from a previous response's nextCursor. Don't parse it.
Was this page helpful?
⌘I
List a journey's runs

